View Issue Details

IDProjectCategoryView StatusLast Update
0006655Talerwallet (TS core)public2021-08-24 16:23
ReporterFlorian Dold Assigned Tosebasjm  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006655: wallet should support deleting transactions from history
DescriptionSome fine points are still unclear:

* Deleting a withdrawal event should probably just remove the event and keep the coins. But is there a way to delete all coins of an exchange?
* What does deleting a refund transaction do? Is this something that should even be allowed? Maybe in this case the refund should still show up with the "pay" event ...
TagsNo tags attached.

Activities

Florian Dold

2021-05-20 21:50

manager   ~0017888

Implemented in wallet-core. Refunds can be individually deleted, based on the (proposal_id, execution_time) as key.

UI is covered in 0006570.

Issue History

Date Modified Username Field Change
2020-11-30 10:22 Florian Dold New Issue
2020-11-30 10:22 Florian Dold Status new => assigned
2020-11-30 10:22 Florian Dold Assigned To => Florian Dold
2021-05-20 18:34 Florian Dold Assigned To Florian Dold => sebasjm
2021-05-20 21:50 Florian Dold Status assigned => resolved
2021-05-20 21:50 Florian Dold Resolution open => fixed
2021-05-20 21:50 Florian Dold Note Added: 0017888
2021-07-30 13:56 Christian Grothoff Fixed in Version => 0.8
2021-07-30 13:59 Christian Grothoff Target Version => 0.8.1
2021-07-30 14:01 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed